import { Component } from '@angular/core';
import { Client } from './client';
import { ApiService } from './api.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  constructor(private api:ApiService){}
  title = 'resturantClient';

  client:Client = {
    id:1,
    name: "TEST",
    age:40,
    birthday: "10/10/20",
    tel: "03030"
  }

  updateTest(){
    this.api.updateClient(1,this.client).subscribe(res => console.log(res), err => console.log(err));
  }
  deleteTest(){
    this.api.deleteClient(1).subscribe(res => console.log(res), err => console.log(err));
  }


}
